Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ws.commons.schema
Class XmlSchemaLengthFacet

    java.lang.Object
      org.apache.ws.commons.schema.XmlSchemaObject
          org.apache.ws.commons.schema.XmlSchemaAnnotated
              org.apache.ws.commons.schema.XmlSchemaFacet
                  org.apache.ws.commons.schema.XmlSchemaNumericFacet
                      org.apache.ws.commons.schema.XmlSchemaLengthFacet

    public class XmlSchemaLengthFacet

extends XmlSchemaNumericFacet

Class for defining length facets. Represents the World Wide Web Consortium (W3C) length facet.

Field Summary

Fields inherited from class org.apache.ws.commons.schema.XmlSchemaAnnotated
`unhandledAttributes`

Constructor Summary
`XmlSchemaLengthFacet()` Creates new XmlSchemaLengthFacet
`XmlSchemaLengthFacet(java.lang.Object value, boolean fixed)`

Method Summary
`java.lang.String` | `toString(java.lang.String prefix, int tab)`

Methods inherited from class org.apache.ws.commons.schema.XmlSchemaFacet
`construct, getValue, isFixed, setFixed, setValue`

Methods inherited from class org.apache.ws.commons.schema.XmlSchemaAnnotated
`getAnnotation, getId, getUnhandledAttributes, setAnnotation, setId, setUnhandledAttributes, toString`

Methods inherited from class org.apache.ws.commons.schema.XmlSchemaObject
`addMetaInfo, equals, getLineNumber, getLinePosition, getMetaInfoMap, getSourceURI, setLineNumber, setLinePosition, setMetaInfoMap, setSourceURI`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XmlSchemaLengthFacet

    public XmlSchemaLengthFacet()

  Creates new XmlSchemaLengthFacet

### XmlSchemaLengthFacet

    public XmlSchemaLengthFacet(java.lang.Object value,
                                boolean fixed)

Method Detail

### toString

    public java.lang.String toString(java.lang.String prefix,
                                     int tab)

  Overrides:
    `toString` in class `XmlSchemaObject`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 The Apache Software Foundation. All Rights Reserved.